
//Actualiza fecha actual en la pagina
function fechaactual() {
var horaactual = new Date();
mesactual=horaactual.getMonth()*1;
if (mesactual==0) {mes='enero';}
if (mesactual==1) {mes='febrero';}
if (mesactual==2) {mes='marzo';}
if (mesactual==3) {mes='abril';}
if (mesactual==4) {mes='mayo';}
if (mesactual==5) {mes='junio';}
if (mesactual==6) {mes='julio';}
if (mesactual==7) {mes='agosto';}
if (mesactual==8) {mes='septiembre';}
if (mesactual==9) {mes='octubre';}
if (mesactual==10) {mes='noviembre';}
if (mesactual==11) {mes='diciembre';}
var horaamostrar = horaactual.getDate()+' de '+mes+' de '+horaactual.getFullYear()+' a las '+horaactual.getHours()+':'+horaactual.getMinutes()+':'+horaactual.getSeconds();
document.getElementById('fechaactual').innerHTML=horaamostrar;
setTimeout('fechaactual()',1000);
}
function gms2dec(grados, minutos, segundos, direccion)   
{   
    if(direccion)   
    {   
        signo     = (direccion.toLowerCase() == 'w' ||   
                     direccion.toLowerCase() == 's') ?   
                    -1 : 1;   
        direccion = (direccion.toLowerCase() == 'w' ||   
                     direccion.toLowerCase() == 's' ||   
                     direccion.toLowerCase() == 'n' ||   
                     direccion.toLowerCase() == 'e') ?   
                    direccion.toLowerCase() : '';   
    }   
    else  
    {   
        signo     = (grados < 0) ? -1 : 1;   
        direccion = '';   
    }   
    dec = Math.round((Math.abs(grados) + ((minutos * 60) + segundos) / 3600) * 1000000) / 1000000;   
    if(isNaN(direccion) || direccion == '')   
        dec = dec * signo;   
    return {   
        'decimal': dec,   
        'valor'  : dec + "\u00b0" + ((isNaN(direccion) || direccion == '') ? (' ' + direccion) : '')   
    };   
}  
function DivX(obj){
    var leftValue= 0;
    while(obj){
	leftValue+= obj.offsetLeft;
	obj= obj.offsetParent;
    }
    return leftValue;
}
function DivY(obj){
    var topValue= 0;
    while(obj){
	topValue+= obj.offsetTop;
	obj= obj.offsetParent;
    }
    return topValue;
}
function MouseX(e){
// capture the mouse position
    var posx = 0;
    if (!e) var e = window.event;
    if (e.pageX)
    {
        posx = e.pageX;
    }
    else if (e.clientX)
    {
        posx = e.clientX;
    }

	return posx;
}
function MouseY(e){
// capture the mouse position
    var posy = 0;
    if (!e) var e = window.event;
    if (e.pageY)
    {
        posy = e.pageY;
    }
    else if (e.clientY)
    {
        posy = e.clientY;
    }

	return posy;
}
function cargando() {
	document.getElementById('cargando').style.display='block';
	contenido='Cargando informaci&oacute;n...';
	document.getElementById('cargando').innerHTML='<div style="position:relative;top:200px">'+contenido+'<br>'+'<img src=\'iconos/cargando.gif\'></div>';
}
function grabando() {
	document.getElementById('cargando').style.display='block';
	contenido='Grabando datos en el sistema...';
	document.getElementById('cargando').innerHTML='<div style="position:relative;top:220px">'+contenido+'<br>'+'<img src=\'iconos/cargando.gif\'></div>';
}
function afecha(fecha) {
	datos=fecha.split("-");
	return datos[2]+'/'+datos[1]+'/'+datos[0];
}
function fechaescrita(fechaafecha) {
	datos=fechaafecha.split("/");
	if (datos[1]==1) {mesescrito='enero';}
	if (datos[1]==2) {mesescrito='febrero';}
	if (datos[1]==3) {mesescrito='marzo';}
	if (datos[1]==4) {mesescrito='abril';}
	if (datos[1]==5) {mesescrito='mayo';}
	if (datos[1]==6) {mesescrito='junio';}
	if (datos[1]==7) {mesescrito='julio';}
	if (datos[1]==8) {mesescrito='agosto';}
	if (datos[1]==9) {mesescrito='septiembre';}
	if (datos[1]==10) {mesescrito='octubre';}
	if (datos[1]==11) {mesescrito='noviembre';}
	if (datos[1]==12) {mesescrito='diciembre';}
	return datos[0]+' de '+mesescrito+' de '+datos[2];
}
function verificafecha(fecha) {
	datos=fecha.split("-");
	return datos[2]+'/'+datos[1]+'/'+datos[0];
}
function segundosahora(stamp){
	hora = Math.floor(stamp/3600);
	decimal = (stamp)/3600-hora;
	minuto = Math.round(decimal*60);
	if (hora<10) {hora='0'+hora;}
	if (minuto<10) {minuto='0'+minuto;}
	return hora+':'+minuto;
}


function verificaNumero(campo,nombre,alertas,vacio,autofoco)
{
	campo.value = campo.value.replace (/[ ]+$/,"");    					//realiza un rtrim...
	campo.value = campo.value.replace (/^[ ]+/,"");   					//realiza un ltrim...
	//campo.value = campo.value.replace (/^[0]+/,"");

	if (campo.value=="" && ! vacio)	return true;

	if (campo.value=="")
	{
		if (alertas)  alert("Debe ingresar un valor numerico en el campo " + nombre + ".");
		if (autofoco) campo.focus();
		return false;
	}

	if (/(.*);(.+)/.test(campo.value) || /(.*),(.+)/.test(campo.value))		//valida que no haya mas de un numero
	{
		if (alertas) alert("Solo puede ingresar un valor numerico en el campo " + nombre +".");
		if (autofoco) campo.focus();
		return false;
	}

	if (!/^([0-9])*[.]?[0-9]*$/.test(campo.value))	
	{
		if(alertas) alert("El campo " + nombre + " solo puede tener numeros.");
		if (autofoco) campo.focus();
		return false;
	}
	else
	{
		return true;
	}
}
function verificaRut(campo,nombre,alertas,vacio,autofoco)
{
	campo.value = campo.value.replace (/[ ]+/g,"");    					//realiza un rtrim...
	campo.value = campo.value.replace (/[.]+/g,"");    					//reemplaza puntos...
	campo.value = campo.value.replace (/[-]+/g,"");    					//reemplaza guiones...


	if (campo.value=="" && ! vacio)	 return true;
	if (campo.value=="")
	{
		if (alertas)  alert("Debe ingresar un valor en el campo " + nombre + ".");
		if (autofoco) campo.focus();
		return false;
	}

	if (/^\d+(K)*(k)*$/.test(campo.value))	//valida el email
	{
		cuerpoRut = campo.value.substring(0, campo.value.length -1)
		digitoV = campo.value.substring(campo.value.length -1 , campo.value.length)
		digitoVerificador = digitoV.toUpperCase()
		if(esRutValido(cuerpoRut,digitoVerificador))
		{
			cuerpoRut = formatomiles(cuerpoRut);
			campo.value = cuerpoRut + "-" + digitoVerificador;
			return true;
		}
		else
		{
			if(alertas) alert("Debe ingresar un " + nombre + " valido.");
			if (autofoco) campo.focus();
			return false;
		}
	}
	else
	{
		if(alertas) alert("Debe ingresar un " + nombre + " valido.");
		if (autofoco) campo.focus();
		return false;
	}
}
function esRutValido(cuerpo,digito)
{
		intSuma = 0
		intFactor  = 2

		for (i= (cuerpo.length - 1)  ; i >= 0; i--)
		{
			intSuma = intSuma + cuerpo.charAt(i) * intFactor
			if (intFactor == 7)
				intFactor = 2
			else
				intFactor++
		}

		intResto = intSuma % 11
		if (intResto == 1)
			dvr = 'K'
		else if (intResto == 0)
			dvr = '0'
		else
		{
			dvi = 11 - intResto
			dvr = dvi + ""
		}

	if(dvr == digito)
	{
		return true;
	}
	else
	{
		return false;
	}
}
function formatCurrency(num) 
{
num = num.toString().replace(/\$|\,/g,'');

if (isNaN(num))
num = 0;

var signo = (num == (num = Math.abs(num)));
num = Math.floor(num * 100 + 0.50000000001);
centavos = num % 100;
num = Math.floor(num / 100).toString();

if (centavos < 10)
centavos = '0' + centavos;

for (var i = 0; i < Math.floor((num.length - (1 + i)) / 3); i++)
num = num.substring(0, num.length - (4 * i + 3)) + '.' + num.substring(num.length - (4 * i + 3));

return (((signo) ? '' : '-') + num);
}

function formatomiles(number) {
	var result = '';
	while( number.length > 3 )
	{
		result = '.' + number.substr(number.length - 3) + result;
		number = number.substring(0, number.length - 3);
	}
	result = number + result;
	return result;
}
	
function formato2dec(numero)
{
	nuevonumero=Math.round(numero*100)/100;
	return nuevonumero;
}
function modmenuV(obj,h,vel){
		idimg='img_'+obj;
	if (document.getElementById(obj).style.display=='none'){
		document.getElementById(idimg).src='iconos/arriba_blanco.png';
		document.getElementById(obj).style.height=h+'px'; 
		document.getElementById(obj).style.display='block';
		abrirmenuV(obj,0,h,vel);
	} else {
		document.getElementById(idimg).src='iconos/abajo_blanco.png';
		cerrarmenuV(obj,0,h,vel);
	}
}
function abrirmenuV(obj,hi,hf,vel){ 
	if(hi>=hf){ 
		clearTimeout(s); 
		return; 
	} 
	hi+=5; 
	document.getElementById(obj).style.height=hi+'px'; 
	s=setTimeout( function(){ abrirmenuV(obj,hi,hf,vel) },vel ); 
} 
function cerrarmenuV(obj,hi,hf,vel){ 
	if(hf<0){ 
		document.getElementById(obj).style.display='none';
		clearTimeout(t); 
		return; 
	} 
	hf-=5; 
	document.getElementById(obj).style.height=hf+'px'; 
	t=setTimeout( function(){ cerrarmenuV(obj,hi,hf,vel) },vel ); 
} 
function modmenuH(obj,ri,rf,vel){
	if (document.getElementById(obj).style.display=='none'){
		document.getElementById('mapacompleto').className='opac40';
		document.getElementById(obj).style.right=ri+'px'; 
		document.getElementById(obj).style.display='block';
		abrirmenuH(obj,ri,rf,vel);
	} else {
		document.getElementById('mapacompleto').className='opac100';
		cerrarmenuH(obj,ri,rf,vel);
	}
}
function abrirmenuH(obj,ri,rf,vel){ 
	if(ri>=rf){ 
		clearTimeout(s); 
		return; 
	} 
	ri+=5; 
	document.getElementById(obj).style.right=ri+'px'; 
	s=setTimeout( function(){ abrirmenuH(obj,ri,rf,vel) },vel ); 
} 
function cerrarmenuH(obj,ri,rf,vel){ 
	if(rf<0){ 
		document.getElementById(obj).style.display='none';
		clearTimeout(t); 
		return; 
	} 
	rf-=5; 
	document.getElementById(obj).style.right=rf+'px'; 
	t=setTimeout( function(){ cerrarmenuH(obj,ri,rf,vel) },vel ); 
} 
function cubrirtodo() {
	document.getElementById('cubierto').style.display='block';
}
function descubrirtodo() {
	document.getElementById('cubierto').style.display='none';
}
function rtrim(cadena) {
    var trimmed = cadena.replace(/\s+$/g, '');
    return trimmed;
}